function [w, bias] = binary(train_data, options)
    % train a binary relevance on train_data

    if (nargin ~= 2)
        if (nargin == 1)
            options = '-q -B 1';
        else
            fprintf('Incorrect number of input parameters\n');
            return;
        end
    end

    x = train_data.x;
    y = train_data.y;
    map = train_data.map;

    L = size(y, 2);

    bias = get_bias(options);

    if bias > 0
        w_size = size(x, 1) + 1;
    else
        w_size = size(x, 1);
    end

    w = zeros(w_size, L);
    
    parfor i=1:L % only the labels appeared at least once has a model trained
        w(:,i) = do_train(2*y(:,i)-1, x, options);
    end
end



