#!/bin/bash

mkdir datasets
cd datasets

# node classification data
wget -O graph.tar.xz https://www.csie.ntu.edu.tw/~cjlin/papers/multilabel-embedding/embedding_data/data.tar.xz
tar -vxf graph.tar.xz
mv data graph_emb
rm graph.tar.xz

# text classification data
mkdir rcv1v2
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/rcv1_topics_train.svm.bz2
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/rcv1_topics_combined_test.svm.bz2
bunzip2 -v rcv1_topics_*.svm.bz2
mv rcv1_topics_*.svm rcv1v2/

mkdir eurlex
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/eurlex_tfidf_train.svm.bz2
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/eurlex_tfidf_test.svm.bz2
bunzip2 -v eurlex_tfidf_*.svm.bz2
mv eurlex_tfidf_*.svm eurlex/

mkdir wiki10_31k
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/wiki10_31k_tfidf_train.svm.bz2
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/wiki10_31k_tfidf_test.svm.bz2
bunzip2 -v wiki10_31k_tfidf_*.svm.bz2
mv wiki10_31k_tfidf_*.svm wiki10_31k/

echo "Datasets Downloaded."
