function [x, tx] = fill_x(x, tx, bias)
    % fill x and tx to have the same number of features
    % x and tx should be in shape (#feature, #sample)
    
    if (nargin ~= 3)
        if (nargin == 2)
            bias = -1;
        else
            error('x and tx are required\n');
            return;
        end
    end

    % fill x to the same dimension
    probk = size(x, 1);
    testk = size(tx, 1);
    k = max(probk, testk);
    x = [x; zeros(k-probk, size(x, 2))];
    tx = [tx; zeros(k-testk, size(tx, 2))];

    if bias > 0
        x=[x; ones(1, size(x,2)) * bias];
        tx=[tx; ones(1, size(tx,2)) * bias];
    end
end
