
function fm = fmeasures_per_label(ty, pre_all, tmap, map)
    assert(size(map,1) == size(pre_all,2), 'Number of labels in map mismatched with prediction.')
    d = size(map,1); % number of labels appeared in training set
    pre_all = pre_all > 0;
    % allow y to be +1,-1 or 1,0
    ty = ty > 0;
    fm = zeros(1, d);
    
    for i = 1:d
        % deal with this label
        label = map(i);
        pre = pre_all(:,i);
        test_idx = find(tmap == label);

        if isempty(test_idx)
            orig = zeros(size(ty, 1), 1);
        else
            orig = full(ty(:, test_idx));
        end


        tp = sum(orig == +1 & pre == +1);
        fn = sum(orig == +1 & pre == 0);

        tn = sum(orig == 0 & pre == 0);
        fp = sum(orig == 0 & pre == +1);

        fm(i) = 0;
        if tp ~= 0 || fp ~= 0 || fn ~= 0
            % calculate F_1 score
            fm(i) = (2*tp) / (2*tp + fp + fn);
        end
    end
end